App AI Gateway
API referenceAdmin applications

Create an application

POST
/v1/admin/apps

API-key applications receive a one-time plaintext initial key in the response.

Authorization

AdminBearer
AuthorizationBearer <token>

The deployment's ADMIN_TOKEN.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/admin/apps" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "config": {      "authentication": {        "type": "apple_app_attest",        "issuer": {          "jwks_url": "http://example.com",          "user_id_claim": "string",          "required_claims": [            {              "path": "string"            }          ],          "max_token_lifetime_seconds": 1        },        "app_attest": {          "team_id": "string",          "bundle_id": "string",          "environments": [            "production"          ]        },        "development_access": true      },      "routing": {        "providers": {          "mode": "all"        },        "model_rewrites": {          "property1": "string",          "property2": "string"        }      },      "limits": {        "per_user": {          "requests": {            "per_minute": 0,            "per_day": 0          },          "spending": {            "monthly_usd": 0          }        },        "per_app": {          "requests": {            "per_minute": 0,            "per_day": 0          },          "spending": {            "monthly_usd": 0          }        }      }    }  }'
{  "app_id": "string",  "api_key": null}